<ng-container xmlns="http://www.w3.org/1999/html">

  <h1>Current Team Standing</h1>
  <div *ngIf="loaded">
    <div *ngIf="!noContent">
      <table [dataSource]="dataSource" class="mat-elevation-z8" mat-table>
        <ng-container matColumnDef="position">
          <th *matHeaderCellDef mat-header-cell> Position</th>
          <td *matCellDef="let teamRow" mat-cell> {{teamRow.position}} </td>
        </ng-container>

        <ng-container matColumnDef="team">
          <th *matHeaderCellDef mat-header-cell> Team</th>
          <td *matCellDef="let teamRow" mat-cell> {{teamRow.team}} </td>
        </ng-container>

        <ng-container matColumnDef="drivers">
          <th *matHeaderCellDef mat-header-cell> Driver</th>
          <td *matCellDef="let teamRow" mat-cell> {{teamRow.drivers}} </td>
        </ng-container>

        <ng-container matColumnDef="points">
          <th *matHeaderCellDef mat-header-cell> Points</th>
          <td *matCellDef="let teamRow" mat-cell> {{teamRow.points}} </td>
        </ng-container>

        <tr *matHeaderRowDef="columnsToDisplay" mat-header-row></tr>
        <tr *matRowDef="let row; columns: columnsToDisplay;" mat-row></tr>
      </table>
    </div>
    <div *ngIf="noContent" class="text-center">
      There are no teams in this league
    </div>
  </div>
  <div *ngIf="!loaded">
    <mat-progress-bar mode="indeterminate"></mat-progress-bar>
  </div>

</ng-container>
